## highway 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
   cmake_policy(SET CMP0083 NEW)
 endif()
 
-project(hwy VERSION 0.17.0)  # Keep in sync with highway.h version
+project(hwy VERSION 1.0.0)  # Keep in sync with highway.h version
 
 # Directly define the ABI version from the cmake project() version values:
 set(LIBRARY_VERSION "${hwy_VERSION}")
@@ -232,6 +232,12 @@
     list(APPEND HWY_FLAGS -Werror)
   endif()
 
+  # Prevent "wasm-ld: error: --shared-memory is disallowed by targets.cc.o
+  # because it was not compiled with 'atomics' or 'bulk-memory' features."
+  if (HWY_EMSCRIPTEN)
+    list(APPEND HWY_FLAGS -matomics)
+  endif()
+
 endif()  # !MSVC
 
 # By default prefer STATIC build (legacy behavior)
@@ -357,11 +363,3 @@
 # when installing them.
 foreach (source ${HWY_CONTRIB_SOURCES})
   if ("${source}" MATCHES "\.h$")
-    get_filename_component(dirname "${source}" DIRECTORY)
-    install(FILES "${source}"
-        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${dirname}")
-  endif()
-endforeach()
-endif()  # HWY_ENABLE_CONTRIB
-
-install(TARGETS hwy_test
