=== debian/changelog ===
highway (1.0.0-1) unstable; urgency=medium

  * d/watch: Fix typo in watch file
  * d/copyright: Simplify copyright file
  * New upstream version 1.0.0
  * d/rules: Build SCALAR instead of EMU128
  * d/patches: Remove patches applied upstream
  * d/symbols: Update symbols file for new ABI

 -- Mathieu Malaterre <malat@debian.org>  Mon, 01 Aug 2022 10:50:07 +0200

highway (0.17.0-11) unstable; urgency=medium

  * d/patches: Fix blockwise_test on big-endian arches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 20 Jul 2022 17:21:46 +0200

highway (0.17.0-10) unstable; urgency=medium

  * d/rules: Prefer DEB_BUILD_ARCH_CPU over DEB_BUILD_ARCH
  * d/rules: Do not report warnings as errors anymore. Closes: #1012944
  * d/rules: Simplify handling of hurd+qemu
  * d/patches: Revert baseline EMU128 back to SCALAR. Closes: #1015256

 -- Mathieu Malaterre <malat@debian.org>  Mon, 18 Jul 2022 15:42:24 +0200

highway (0.17.0-9) unstable; urgency=medium

  * d/rules: Really fix armhf build

 -- Mathieu Malaterre <malat@debian.org>  Tue, 05 Jul 2022 14:18:09 +0200

highway (0.17.0-8) unstable; urgency=medium

  * d/rules: Make sure to cleanup generated files
  * d/rules: Do not run test on -indep target
  * d/rules: Make sure to return true on hurd-i386
  * d/rules: Work around an issue with gcc-11/O2 combination
  * d/patches: Remove arm WIP for now

 -- Mathieu Malaterre <malat@debian.org>  Tue, 05 Jul 2022 11:18:15 +0200

highway (0.17.0-7) experimental; urgency=medium

  * d/rules: Make sure to skip most rules for indep
  * d/rules: Shrink the main PDF file using gs
  * d/patches: Fix dynamic dispatch on linux/armhf. Closes: #1014330

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Jul 2022 15:31:59 +0200

highway (0.17.0-6) experimental; urgency=low

  * d/rules: Make sure to install binaries
  * d/rules: Attempt to get neon on armhf working

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Jul 2022 12:13:12 +0200

highway (0.17.0-5) experimental; urgency=low

  * d/rules: Remove no-psabi warning on both armel and armhf
  * d/rules: Re-add extension on i386
  * d/rules: Run the compiled example

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Jul 2022 11:04:54 +0200
