## highway 1.0.1

=== debian/changelog ===
highway (1.0.1-2) unstable; urgency=medium

  * d/patches: cherry-pick patch upstream to fix compilation on riscv64
  * d/rules: Remove hack on riscv64 not needed anymore
  * d/patches: Properly detect HWY_BROKEN_EMU128 / GCC 12.x
  * d/rules: Comment out HWY_BROKEN_EMU128 hack now detection is working

 -- Mathieu Malaterre <malat@debian.org>  Wed, 31 Aug 2022 09:00:14 +0200

highway (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * d/patches: Refresh patches for new upstream release

 -- Mathieu Malaterre <malat@debian.org>  Thu, 25 Aug 2022 09:37:14 +0200

highway (1.0.0-5) unstable; urgency=medium

  * d/patches: Do not always inline
  * d/patches: fix floating-point generator for sort tests.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Aug 2022 08:39:49 +0200

highway (1.0.0-4) unstable; urgency=medium

  * d/rules: Make sure to skip RVV logic on riscv64
  * d/rules: Start building with neon extension on armhf
  * d/patches: fix spurious use after free warning
  * d/patches: fix preprocessor int overflow warning
  * d/patches: link with atomic for GCC

 -- Mathieu Malaterre <malat@debian.org>  Tue, 02 Aug 2022 14:02:56 +0200

highway (1.0.0-3) unstable; urgency=medium

  * d/patches: Add atomic patch to fix compilation
  * d/patches: Add riscv64 compilation fix for GCC

 -- Mathieu Malaterre <malat@debian.org>  Tue, 02 Aug 2022 10:38:12 +0200

highway (1.0.0-2) unstable; urgency=medium

  * d/symbols: Fix symbols file on 32bits arch

 -- Mathieu Malaterre <malat@debian.org>  Tue, 02 Aug 2022 07:44:42 +0200
