=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --buildsystem=cmake+ninja
 
 # Prefer SCALAR over EMU128 for now, see #1015256
-DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=1
+#DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=1
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), armhf armel))
   # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77728
@@ -18,8 +18,9 @@
 endif
 
 ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),armhf))
-  # https://github.com/google/highway/issues/495
-  CMAKE_EXTRA_FLAGS += -DHWY_CMAKE_ARM7:BOOL=OFF
+  # highway implement dynamic dipatch:
+  # https://github.com/google/highway/issues/891
+  CMAKE_EXTRA_FLAGS += -DHWY_CMAKE_ARM7:BOOL=ON
 endif
 
 export DEB_CXXFLAGS_MAINT_APPEND
