## highway 1.0.2

=== debian/changelog ===
highway (1.0.2-4aatgv2) unstable; urgency=medium

  * debian/rules:
    - -DBUILD_SHARED_LIBS:BOOL=OFF
  * debian/control:
    - comment libhwy1 package
    - do not depend libhwy-dev on libhwy1
  * debian/libhwy-dev.install:
    - add usr/lib/*/*.a
    - comment usr/lib/*/*.so

 -- Amon Ott <ao@m-privacy.de>  Thu, 26 Jan 2023 09:49:00 +0100

highway (1.0.2-4aaump1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Mon, 23 Jan 2023 07:43:55 +0100

highway (1.0.2-4) unstable; urgency=medium

  * d/patches: Add missing atomic library to test

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Nov 2022 11:29:42 +0100

highway (1.0.2-3) unstable; urgency=medium

  * d/patches: Fix cmake issue with usage of PRIVATE keyword

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Nov 2022 10:34:54 +0100

highway (1.0.2-2) unstable; urgency=medium

  * d/patches: Fix build with atomic lib

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Nov 2022 09:38:31 +0100

highway (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/patches: Remove patches applied upstream
  * d/symbols: Add new symbols

 -- Mathieu Malaterre <malat@debian.org>  Wed, 02 Nov 2022 15:55:21 +0100

highway (1.0.1-3) unstable; urgency=medium

  * d/patches: Remove some warnings on clang/riscv-64
  * d/patches: Hack around current rdcycle mess
  * d/patches: Remove warnings on arm/gcc-12
  * d/patches: Rename patch to refer upstream
  * d/rules: Make sure to compile without warnings

 -- Mathieu Malaterre <malat@debian.org>  Fri, 02 Sep 2022 12:16:04 +0200
