=== debian/control ===
--- 
+++ 
@@ -11,24 +11,12 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/highway
 Rules-Requires-Root: no
 
-Package: libhwy1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: Efficient and performance-portable SIMD wrapper (runtime files)
- This library provides type-safe and source-code portable wrappers over
- existing platform-specific intrinsics. Its design aims for simplicity,
- reliable efficiency across platforms, and immediate usability with current
- compilers.
- .
- This package installs the runtime files.
 
 Package: libhwy-dev
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libhwy1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends}
 Multi-Arch: same
 Description: Efficient and performance-portable SIMD wrapper (developer files)
  This library provides type-safe and source-code portable wrappers over
