=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+# m-privacy
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 include /usr/share/dpkg/default.mk
 
@@ -28,8 +33,8 @@
 # test suite rely on CMAKE_SKIP_RPATH=OFF
 CMAKE_EXTRA_FLAGS += \
  -DCMAKE_SKIP_RPATH:BOOL=OFF \
- -DBUILD_SHARED_LIBS:BOOL=ON \
- -DHWY_WARNINGS_ARE_ERRORS:BOOL=OFF \
+ -DBUILD_SHARED_LIBS:BOOL=OFF \
+ -DHWY_WARNINGS_ARE_ERRORS:BOOL=ON \
  -DHWY_SYSTEM_GTEST:BOOL=ON
 
 override_dh_auto_configure-arch:
@@ -71,3 +76,7 @@
 override_dh_compress-indep:
 	# do not compress .pdf/.md files for documentation
 	dh_compress -X.md -X.pdf
+
+override_dh_compress-arch:
+	mp_rsbac
+	dh_compress -a
