## highway 1.0.3~git20221102.4899d11

=== debian/changelog ===
highway (1.0.3~git20221102.4899d11-2) experimental; urgency=medium

  * d/patches: Fix atomic support

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Nov 2022 12:50:53 +0100

highway (1.0.3~git20221102.4899d11-1) experimental; urgency=medium

  * New upstream version 1.0.3~git20221102.4899d11
  * d/patches: Refresh patches for latest release

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Nov 2022 10:21:15 +0100
