=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: cmake (>= 3.13), debhelper (>= 11), libgtest-dev, ninja-build
+Build-Depends: clang (>= 1:14.0) [riscv64],
+               cmake (>= 3.13),
+               debhelper (>= 11),
+               libgtest-dev,
+               ninja-build
 Build-Depends-Indep: ghostscript
 Standards-Version: 4.6.1
 Homepage: https://github.com/google/highway
@@ -11,12 +15,24 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/highway
 Rules-Requires-Root: no
 
+Package: libhwy1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Efficient and performance-portable SIMD wrapper (runtime files)
+ This library provides type-safe and source-code portable wrappers over
+ existing platform-specific intrinsics. Its design aims for simplicity,
+ reliable efficiency across platforms, and immediate usability with current
+ compilers.
+ .
+ This package installs the runtime files.
 
 Package: libhwy-dev
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
+Depends: libhwy1 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Efficient and performance-portable SIMD wrapper (developer files)
  This library provides type-safe and source-code portable wrappers over
