=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
-# m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 include /usr/share/dpkg/default.mk
 
@@ -14,8 +9,8 @@
 %:
 	dh $@ --buildsystem=cmake+ninja
 
-# Prefer SCALAR over EMU128 for now, see #1015256
-#DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=1
+# Let's pretend to know what we are doing:
+DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=0
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), armhf armel))
   # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77728
@@ -28,12 +23,20 @@
   CMAKE_EXTRA_FLAGS += -DHWY_CMAKE_ARM7:BOOL=ON
 endif
 
+# HWY_RVV requires `-march=rv64gcv1p0 -menable-experimental-extensions`
+ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),riscv64))
+  CC=clang
+  CXX=clang++
+endif
+
+export CC
+export CXX
 export DEB_CXXFLAGS_MAINT_APPEND
 
 # test suite rely on CMAKE_SKIP_RPATH=OFF
 CMAKE_EXTRA_FLAGS += \
  -DCMAKE_SKIP_RPATH:BOOL=OFF \
- -DBUILD_SHARED_LIBS:BOOL=OFF \
+ -DBUILD_SHARED_LIBS:BOOL=ON \
  -DHWY_WARNINGS_ARE_ERRORS:BOOL=ON \
  -DHWY_SYSTEM_GTEST:BOOL=ON
 
@@ -76,7 +79,3 @@
 override_dh_compress-indep:
 	# do not compress .pdf/.md files for documentation
 	dh_compress -X.md -X.pdf
-
-override_dh_compress-arch:
-	mp_rsbac
-	dh_compress -a
