## highway 1.0.3

=== debian/changelog ===
highway (1.0.3-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1024244)
  * Fix a pile of build vs host confusions.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 24 Feb 2023 08:52:20 +0100

highway (1.0.3-2) unstable; urgency=medium

  * d/control: Bump Std-Vers to 4.6.2 no changes needed
  * d/patches: Make sure to put hwy target in hwy:: namespace

 -- Mathieu Malaterre <malat@debian.org>  Wed, 01 Feb 2023 18:57:25 +0100

highway (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * d/patches: Remove patches applied upstream
  * d/patches: Generate and install a HWYConfig.cmake file
  * d/patches: Fixed HWY_SCALAR BitCast to copy only sizeof(T) bytes
  * d/install: Install *.cmake files

 -- Mathieu Malaterre <malat@debian.org>  Sun, 29 Jan 2023 15:52:03 +0100
