=== debian/rules ===
--- 
+++ 
@@ -9,28 +9,22 @@
 %:
 	dh $@ --buildsystem=cmake+ninja
 
-# Let's pretend to know what we are doing:
-DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=0
+# Prefer SCALAR over EMU128 for now, see #1015256
+#DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=1
 
-ifneq (,$(filter $(DEB_BUILD_ARCH), armhf armel))
+ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
   # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77728
   DEB_CXXFLAGS_MAINT_APPEND += -Wno-psabi
 endif
 
-ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),armhf))
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armhf))
   # highway implement dynamic dipatch:
   # https://github.com/google/highway/issues/891
   CMAKE_EXTRA_FLAGS += -DHWY_CMAKE_ARM7:BOOL=ON
 endif
 
-# HWY_RVV requires `-march=rv64gcv1p0 -menable-experimental-extensions`
-ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),riscv64))
-  CC=clang
-  CXX=clang++
-endif
+include /usr/share/dpkg/buildtools.mk
 
-export CC
-export CXX
 export DEB_CXXFLAGS_MAINT_APPEND
 
 # test suite rely on CMAKE_SKIP_RPATH=OFF
@@ -40,9 +34,14 @@
  -DHWY_WARNINGS_ARE_ERRORS:BOOL=ON \
  -DHWY_SYSTEM_GTEST:BOOL=ON
 
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF
+endif
+
 override_dh_auto_configure-arch:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # run default example to check compilation ok:
 override_dh_install-arch:
 ifeq (,$(filter $(DEB_BUILD_ARCH),hurd-i386))
@@ -51,6 +50,7 @@
 	echo "CPU 'QEMU Virtual CPU version 2.5+' does not support RDTSCP, skipping benchmark."
 endif
 	dh_install
+endif
 
 override_dh_clean-indep:
 	dh_clean debian_docs/
