## highway 1.0.4~git20230223.a24a3f7

=== debian/changelog ===
highway (1.0.4~git20230223.a24a3f7-1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * New upstream version 1.0.4~git20230223.a24a3f7

 -- Mathieu Malaterre <malat@debian.org>  Fri, 24 Feb 2023 09:03:15 +0100
