=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtest-dev,
                ninja-build
 Build-Depends-Indep: ghostscript
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/highway
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/highway.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/highway
