=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 %:
 	dh $@ --buildsystem=cmake+ninja
 
-# Prefer SCALAR over EMU128 for now, see #1015256
-#DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=1
+# Let's pretend to know what we are doing:
+DEB_CXXFLAGS_MAINT_APPEND += -DHWY_BROKEN_EMU128=0
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
   # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77728
@@ -25,6 +25,14 @@
 
 include /usr/share/dpkg/buildtools.mk
 
+# HWY_RVV requires `-march=rv64gcv1p0 -menable-experimental-extensions`
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),riscv64))
+  CC=clang
+  CXX=clang++
+endif
+
+export CC
+export CXX
 export DEB_CXXFLAGS_MAINT_APPEND
 
 # test suite rely on CMAKE_SKIP_RPATH=OFF
