=== debian/changelog ===
highway (1.0.5~git20230612.46fb57d-1) experimental; urgency=medium

  * d/watch: Point to latest git
  * New upstream version 1.0.5~git20230612.46fb57d
  * d/patches: Refresh patches
  * d/control: Try gcc-13 release
  * d/patches: Fix compilation on i386
  * d/symbols: Update symbols to match latest ABI

 -- Mathieu Malaterre <malat@debian.org>  Tue, 13 Jun 2023 15:38:57 +0200

highway (1.0.4~git20230317.8681eb8-1) experimental; urgency=medium

  * d/patches: Re-enable RVV on GCC-13
  * New upstream version 1.0.4~git20230317.8681eb8
  * d/patches: Refresh patches for new upstream

 -- Mathieu Malaterre <malat@debian.org>  Fri, 17 Mar 2023 14:07:06 +0100

highway (1.0.4~git20230308.a1d7764-1) experimental; urgency=medium

  * d/patches: Remove old patch
  * New upstream version 1.0.4~git20230308.a1d7764
  * d/patches: Refresh patches for new upstream
  * d/rules: Start building ppc8
  * d/patches: Fix compilation on ppc64el
  * d/patches: Allow ppc8 on powerpc arch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 08 Mar 2023 11:32:36 +0100

highway (1.0.4~git20230228.edd5410-1) experimental; urgency=medium

  * New upstream version 1.0.4~git20230228.edd5410
  * d/patches: Refresh patches for new upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 01 Mar 2023 08:08:16 +0100

highway (1.0.4~git20230227.dc5c141-2) experimental; urgency=medium

  * d/patches: Remove warnings on ppc64el
  * d/patches: Start building HWY_PPC8 on ppc64

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 Feb 2023 15:33:35 +0100

highway (1.0.4~git20230227.dc5c141-1) experimental; urgency=medium

  * d/rules: Start using gcc-snapshot
  * d/patches: Fix compilation issue on riscv64
  * New upstream version 1.0.4~git20230227.dc5c141

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 Feb 2023 13:46:44 +0100
