=== debian/rules ===
--- 
+++ 
@@ -23,17 +23,17 @@
   CMAKE_EXTRA_FLAGS += -DHWY_CMAKE_ARM7:BOOL=ON
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), powerpc ppc64))
+  DEB_CXXFLAGS_MAINT_APPEND += -maltivec -mcpu=power8
+endif
+
 include /usr/share/dpkg/buildtools.mk
 
-# HWY_RVV requires `-march=rv64gcv1p0 -menable-experimental-extensions`
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),riscv64))
-  CC=clang
-  CXX=clang++
-endif
+CC=gcc-13
+CXX=g++-13
 
 export CC
 export CXX
-export DEB_CXXFLAGS_MAINT_APPEND
 
 # test suite rely on CMAKE_SKIP_RPATH=OFF
 CMAKE_EXTRA_FLAGS += \
