## highway 1.0.5~git20230620.ed184dc

=== debian/changelog ===
highway (1.0.5~git20230620.ed184dc-1) experimental; urgency=medium

  * New upstream version 1.0.5~git20230620.ed184dc
  * d/patches: Refresh patches for new snapshot

 -- Mathieu Malaterre <malat@debian.org>  Tue, 20 Jun 2023 12:30:49 +0200

highway (1.0.5~git20230612.46fb57d-3) experimental; urgency=medium

  * d/patches: Fix measurement issue on powerpc32
  * d/patches: Add missing -latomic linking
  * d/patches: Fix compilation on armhf
  * d/patches: Fix compilation on amd64

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 Jun 2023 11:55:14 +0200

highway (1.0.5~git20230612.46fb57d-2) experimental; urgency=medium

  * d/rules: Re-activate ppc+altivec compilation
  * d/patches: Try to fix ABI change in contrib

 -- Mathieu Malaterre <malat@debian.org>  Wed, 14 Jun 2023 17:14:02 +0200
