=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: clang (>= 1:14.0) [riscv64],
-               cmake (>= 3.13),
+Build-Depends: cmake (>= 3.13),
                debhelper (>= 11),
+               g++-13,
                libgtest-dev,
                ninja-build
 Build-Depends-Indep: ghostscript
