=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 export CC
 export CXX
+export DEB_CXXFLAGS_MAINT_APPEND
 
 # test suite rely on CMAKE_SKIP_RPATH=OFF
 CMAKE_EXTRA_FLAGS += \
